Loading...
Searching...
No Matches
Opm::BlackOilDispersionExtensiveQuantities< TypeTag, false > Class Template Reference

More...

`#include <blackoildispersionmodule.hh>`

## Public Types

using | ScalarArray = Scalar[numPhases]

## Public Member Functions

Scalar | dispersivity () const
| The dispersivity the face.
Scalar | normVelocityAvg (unsigned) const
| The effective filter velocity coefficient in a fluid phase at the face's integration point.

## Static Public Member Functions

static void | update (ScalarArray &, const IntensiveQuantities &, const IntensiveQuantities &)

## Protected Member Functions

void | update_ (const ElementContext &, unsigned, unsigned)
| Update the quantities required to calculate the dispersive fluxes.
template<class Context, class FluidState>
void | updateBoundary_ (const Context &, unsigned, unsigned, const FluidState &)

## Detailed Description

template<class TypeTag>
class Opm::BlackOilDispersionExtensiveQuantities< TypeTag, false >

## Member Function Documentation

## normVelocityAvg()

template<class TypeTag>

Scalar Opm::BlackOilDispersionExtensiveQuantities< TypeTag, false >::normVelocityAvg | ( | unsigned |  | ) | const

inline

The effective filter velocity coefficient in a fluid phase at the face's integration point.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoildispersionmodule.hh